rosegarden 10.02

  • bananaoomarang
Posted: Tue, 04/13/2010 - 12:29
Hi I was trying to compile rosegarden 10.02 as it is the latest version and my midi keyboard doesn't appear to work very well with multiple tracks at the moment etc. To do this I needed to install the libqt4-dev files but they don't install. libqt4-dev: Depends: libqt4-core (=4.2.1-2+etch1) but 4.3.3-1~etch1 is to be installed Depends: libqt4-gui (=4.2.1-2+etch1) but 4.3.3-1~etch1 is to be installed I would like a clean solution to this. Here is my sources list: ## Stable 64 Studio repository deb http://www.mirrorservice.org/sites/64studio.com/apt/ 64studio main # Debian etch deb http://ftp.debian.org/debian etch main contrib non-free # Security updates deb http://security.debian.org/ etch/updates main # Bleeding edge 64 Studio repository, only for testers! #deb http://apt.64studio.com/64studio/testing 64studio main # Backports repository, needed to get -dev packages deb http://apt.64studio.com/backports 64studio main Any help would also be appreciated on tips with how to get a keyboard to worka s well as possible with rosegarden. Thank you for this distribution as I HAVE NEXT TO NO LATENCY which is very, very good.

So would you recomend that I

  • bananaoomarang
  • 04/11/10
  • Thu, 05/13/2010 - 18:18
So would you recomend that I try the 4.0 beta? I don't care about teething issues as long as it boots, starts jack qsynth and rosegarden. That's all I ever really use it for.

Beta for fun

  • Quentin Harley
  • 05/24/07
  • Mon, 05/10/2010 - 15:49
It seems we are going to be in Beta mode from now on... 64 Studio free will be stable, but called betas because the OEM distros are 64 Studio's only income. You gotta keep the paying customers happy. I am running the latest alpha, and despite some teething issues, runs very well indeed for its main purpose - music.

Will 64Studio 4.0 be coming

  • bananaoomarang
  • 04/11/10
  • Sun, 05/09/2010 - 18:21
Will 64Studio 4.0 be coming out next or 3.0. I only see 3.0 betas on the server so why hasn't that been released if we are getting 4.0?

OK but is there anyway to

  • bananaoomarang
  • 04/11/10
  • Wed, 04/21/2010 - 19:08
OK but is there anyway to install the qt4 dev library because if not he repos are broken. Which surely isn't good for a stable release? Don't get me wrong I love thid distribution and will continue to use it anyway. It's a great multimedia distribution.

Cutting teeth 2

  • Quentin Harley
  • 05/24/07
  • Thu, 04/15/2010 - 19:47
64 Studio 4.0 should have a whole lot of the more current applications on board.

OK my keyboard is usable now

  • bananaoomarang
  • 04/11/10
  • Wed, 04/14/2010 - 18:21
OK my keyboard is usable now (buttons and knobs still do nothing but I never expected them to work under linux) but I would still like rosegarden 10.02. Any ideas on how to install libqt4-dev and get rid of these dependencie clashes? I have tried various repo mixes running apt-get update in bettween. Is anyone else successfuly able to use rosegarden 10.02 under 64 studio?

I am sorry about the large

  • bananaoomarang
  • 04/11/10
  • Tue, 04/13/2010 - 14:45
I am sorry about the large text. The copy/paste came through strangly from gedit. testing is commented out and backports is enabled. I can apt-get update with no errors.